csi: XCsi Struct Reference

| csi Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCsi Struct Reference
Csi_v1_1

The XCsi driver instance data. More...

## Data Fields
XCsi_Config | Config
| Hardware Configuration. More...
u32 | ActiveLanes
| Number of Active Lanes. More...
XCsi_CallBack | ShortPacketCallBack
| Callback for Short Packet interrupts. More...
void * | ShortPacketRef
| To be passed to the Short Packet interrupt callback. More...
XCsi_CallBack | FrameRecvdCallBack
| Callback for Frame Received interrupt. More...
void * | FrameRecvdRef
| To be passed to the Frame Received interrupt callback. More...
XCsi_CallBack | DPhyLvlErrCallBack
| Callback for Error at the DPhy level as per spec. More...
void * | DPhyLvlErrRef
| To be passed to the DPhy Level Error Call back function. More...
XCsi_CallBack | PktLvlErrCallBack
| Callback for Packet Level Error as per CSI Spec. More...
void * | PktLvlErrRef
| To be passed to the Packet Level Error Call back function. More...
XCsi_CallBack | ProtDecodeErrCallBack
| Callback for Protocol Decoding Level errors as per CSI Spec. More...
void * | ProtDecErrRef
| To be passed to the Protocol Decoding Level Error call back function. More...
XCsi_CallBack | ErrorCallBack
| Call back function for rest all errors like Stream Line Buffer Full, Stop State errors. More...
void * | ErrRef
| To be passed to the Error Call back. More...
XCsi_CallBack | VCXErrCallBack
| Call back function for rest all errors like Stream Line Buffer Full, Stop State errors. More...
void * | VCXErrRef
| To be passed to the Error Call back. More...
u32 | IsReady
| Driver is ready. More...

## Detailed Description

The XCsi driver instance data.

An instance must be allocated for each CSI in use.

## Field Documentation

u32 XCsi::ActiveLanes

Number of Active Lanes.

Referenced by XCsi_Configure().

XCsi_Config XCsi::Config

Hardware Configuration.

Referenced by XCsi_CfgInitialize(), XCsi_Configure(), XCsi_GetClkLaneInfo(), XCsi_GetDataLaneInfo(), XCsi_GetIntrEnable(), XCsi_GetIntrStatus(), XCsi_GetShortPacket(), XCsi_GetVCInfo(), XCsi_InterruptClear(), XCsi_IntrDisable(), XCsi_IntrEnable(), XCsi_IntrHandler(), XCsi_IsActiveLaneCountValid(), and XCsi_SelfTest().

XCsi_CallBack XCsi::DPhyLvlErrCallBack

Callback for Error at the DPhy level as per spec.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::DPhyLvlErrRef

To be passed to the DPhy Level Error Call back function.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::ErrorCallBack

Call back function for rest all errors like Stream Line Buffer Full, Stop State errors.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::ErrRef

To be passed to the Error Call back.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::FrameRecvdCallBack

Callback for Frame Received interrupt.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::FrameRecvdRef

To be passed to the Frame Received interrupt callback.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

u32 XCsi::IsReady

Driver is ready.

Referenced by XCsi_Activate(), XCsi_CfgInitialize(), XCsi_Configure(), XCsi_IntrHandler(), XCsi_SelfTest(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::PktLvlErrCallBack

Callback for Packet Level Error as per CSI Spec.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::PktLvlErrRef

To be passed to the Packet Level Error Call back function.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::ProtDecErrRef

To be passed to the Protocol Decoding Level Error call back function.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::ProtDecodeErrCallBack

Callback for Protocol Decoding Level errors as per CSI Spec.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::ShortPacketCallBack

Callback for Short Packet interrupts.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::ShortPacketRef

To be passed to the Short Packet interrupt callback.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().

XCsi_CallBack XCsi::VCXErrCallBack

Call back function for rest all errors like Stream Line Buffer Full, Stop State errors.

Referenced by XCsi_CfgInitialize(), XCsi_IntrHandler(), and XCsi_SetCallBack().

void* XCsi::VCXErrRef

To be passed to the Error Call back.

Referenced by XCsi_IntrHandler(), and XCsi_SetCallBack().